<?php 

function darDinheiroCliente(){
    
    global $con;
    
    	if(isset($_POST['submit'])){
		
		$cliente = $_POST['cliente'];
		$valor = $_POST['valor'];
		$conta_origem = $_POST['conta_origem'];
		$tipo = $_POST['tipo'];
		$prestacoes = $_POST['prestacoes'];
		$taxas = $_POST['taxas'];
		$previsao = $_POST['previsao'];
		
		$garantias = $_POST['garantias'];
		$estimado = $_POST['estimado'];
		$tipo_credito = $_POST['tipo_credito'];
			$finalidade = $_POST['finalidade'];
		
	      $juros_final = $valor * $taxas * $prestacoes;
			$total = $valor + $juros_final;
					$v_prest = $total / $prestacoes;

		
		$busca_gestor = "SELECT * FROM clientes WHERE nome_cliente='$cliente'";
		$sucesso = mysqli_query($con,$busca_gestor);
		$trato = mysqli_fetch_assoc($sucesso);
		
		$vendedor = $trato['vendedor'];
		
		$contacto = $trato['cell1'];
		
		$smsBody = "Caro $cliente ! Vimos por este meio informar que o seu crédito no valor de $valor foi aprovado. UELISSENE MICROCRÉDITO, EI.";
		
		
		$user = $_SESSION['nome'];
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		$buscar_conta2 = "SELECT * FROM contas WHERE conta='$conta_origem'";
		$dados_ligar2 = mysqli_query($con,$buscar_conta2);
		$nice_query2 = mysqli_fetch_assoc($dados_ligar2);
		
		$saldo_actual_conta = $nice_query2['saldo'];
		
		$novo_taco_actual = $saldo_actual_conta - $valor;
		
		
	$ver_se = "SELECT * FROM creditos WHERE cliente='$cliente' AND status = 'pendente'";
	$tem_um = mysqli_query($con,$ver_se);
	$contagem = mysqli_num_rows($tem_um);
	
	if($contagem ==1){
		
		$_SESSION['status'] = "$cliente ainda tem um credito por pagar";
        $_SESSION['status_code'] = "warning";
		echo "<script>window.open('creditos.php','_self')</script>";
	
	}elseif($saldo_actual_conta < $valor){
		
			$_SESSION['status'] = "O valor solicitado superior ao disponivel";
        $_SESSION['status_code'] = "error";
		echo "<script>window.open('creditos.php','_self')</script>";
		
	}elseif($previsao < $data){
		
		$_SESSION['status'] = "Data prevista nao aceite,inferior a data actual";
        $_SESSION['status_code'] = "error";
		echo "<script>window.open('creditos.php','_self')</script>";
		
		
	}else{
		
	
		$insere = "INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,previsao,status,data,hora,user,conta,garantias,estimado,tipo_credito,finalidade)
		VALUES('$cliente','$valor','$tipo','$prestacoes','$taxas','$v_prest','$juros_final','$total','$vendedor','$previsao','pendente','$data','$hora','$user','$conta_origem','$garantias','$estimado','$tipo_credito','$finalidade')";
		$linkCredito = mysqli_query($con,$insere);
		
		
		
		if($linkCredito){
			
			$insere_trasaco = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('Concessao de credito a $cliente','$valor','0','$novo_taco_actual','$conta_origem','$data','$hora','$user')";
			$julda = mysqli_query($con,$insere_trasaco);
			
				$curl = curl_init();

            curl_setopt_array($curl, array(
              CURLOPT_URL => 'https://www.cloud.smschef.com/api/send/sms',
              CURLOPT_RETURNTRANSFER => true,
              CURLOPT_ENCODING => '',
              CURLOPT_MAXREDIRS => 10,
              CURLOPT_TIMEOUT => 0,
              CURLOPT_FOLLOWLOCATION => true,
              CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
              CURLOPT_CUSTOMREQUEST => 'POST',
              CURLOPT_POSTFIELDS => array('secret' => '8e4cf26179ecf84f5721dcba56d3ba273620a5cc','mode' => 'devices','device' => '759f576e-464a-e4bb-8627-900460652598','phone' => $contacto,'sim' => '2','priority' => '2','message' => $smsBody),
              CURLOPT_HTTPHEADER => array(
                'Cookie: PHPSESSID=qk4r32jip858icei8e9nosog90'
              ),
            )); 
            
            
            $response = curl_exec($curl);
            
            curl_close($curl);
			
			$actualiza_conta2 = "UPDATE contas SET saldo='$novo_taco_actual' WHERE conta='$conta_origem'";
			$yes_we_do2 = mysqli_query($con,$actualiza_conta2);
			
				$_SESSION['status'] = "Credito concedito com sucesso";
        $_SESSION['status_code'] = "success";
		echo "<script>window.open('creditos.php','_self')</script>";
			
			
		}else{
			
				$_SESSION['status'] = "Ocorreu um erro";
        $_SESSION['status_code'] = "error";
		echo "<script>window.open('creditos.php','_self')</script>";
		}
		
	 }
	}
	
}





function reforco(){
    
    global $con;
    
    	if(isset($_POST['reforco'])){
		
		$cliente = $_POST['cliente'];
		$valor = $_POST['valor'];
		$conta_origem = $_POST['conta_origem'];
		$taxas = $_POST['taxas'];
	
		//TIRANDO INFORMACOES DO CREDITO ANTERIOR PARA O REFORCO
		$sql = "SELECT * FROM creditos WHERE cliente='$cliente' AND status='pendente'";
		$query = mysqli_query($con,$sql);
		$database = mysqli_fetch_assoc($query);
		
		$garantias = $database['garantias'];
		$estimado = $database['estimado'];
			$previsao = $database['previsao'];
			$tipo = $database['tipo'];
		$prestacoes = $database['prestacoes'];
		
		
		
	      $juros = $valor * $taxas * $prestacoes;
			$total = $valor + $juros;
					$v_prest = $total + $juros / $prestacoes;

		
		$busca_gestor = "SELECT * FROM clientes WHERE nome_cliente='$cliente'";
		$sucesso = mysqli_query($con,$busca_gestor);
		$trato = mysqli_fetch_assoc($sucesso);
		
		$vendedor = $trato['vendedor'];
		
		
		
		$user = $_SESSION['nome'];
	    $data = date('Y-m-d');
	    $hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
		
		$buscar_conta2 = "SELECT * FROM contas WHERE conta='$conta_origem'";
		$dados_ligar2 = mysqli_query($con,$buscar_conta2);
		$nice_query2 = mysqli_fetch_assoc($dados_ligar2);
		
		$saldo_actual_conta = $nice_query2['saldo'];
		
		$novo_taco_actual = $saldo_actual_conta - $valor;
		
        if($saldo_actual_conta < $valor){
		
		echo "<script>alert('O valor solicitado e superior ao saldo disponivel. Temos apenas $saldo_actual_conta MT')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
	}elseif($previsao < $data){
		
		echo "<script>alert('A data prevista e inferior a data actual.)</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
		
	}else{
		
	
		$insere = "INSERT INTO creditos(cliente,valor,tipo,prestacoes,taxas,v_prest,juros,total,vendedor,previsao,status,data,hora,user,conta,garantias,estimado)
		VALUES('$cliente','$valor','$tipo','$prestacoes','$taxas','$v_prest','$juros','$total','$vendedor','$previsao','reforco','$data','$hora','$user','$conta_origem','$garantias','$estimado')";
		$linkCredito = mysqli_query($con,$insere);
		
		
		
		if($linkCredito){
			
			$insere_trasaco = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
			VALUES('Concessao de credito a $cliente','$valor','0','$novo_taco_actual','$conta_origem','$data','$hora','$user')";
			$julda = mysqli_query($con,$insere_trasaco);
			
			
			$actualiza_conta2 = "UPDATE contas SET saldo='$novo_taco_actual' WHERE conta='$conta_origem'";
			$yes_we_do2 = mysqli_query($con,$actualiza_conta2);
			
			echo "<script>alert('Credito concedido a $cliente')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
			
			
		}else{
			
			echo "<script>alert('Credito FALHOU a $cliente')</script>";
			echo "<script>window.open('creditos.php','_self')</script>";
		}
		
	 }
	}
	
}


?>